## org.hibernate.transaction.synchronization
Interface ExceptionMapper

    public interface ExceptionMapper

TODO : javadoc

Author:
  Steve Ebersole

Method Summary
`RuntimeException` `mapManagedFlushFailure(String message, RuntimeException failure)` Map an exception encountered during a managed flush to the appropriate runtime-based exception.
`RuntimeException` `mapStatusCheckFailure(String message, SystemException systemException)` Map a JTA `SystemException` to the appropriate runtime-based exception.

Method Detail

### mapStatusCheckFailure

    RuntimeException mapStatusCheckFailure(String message,
                                           SystemException systemException)

  Map a JTA `SystemException` to the appropriate runtime-based exception.

  Parameters:
    `message` - The message to use for the returned exception
    `systemException` - The causal exception
  Returns:
    The appropriate exception to throw

### mapManagedFlushFailure

    RuntimeException mapManagedFlushFailure(String message,
                                            RuntimeException failure)

  Map an exception encountered during a managed flush to the appropriate runtime-based exception.

  Parameters:
    `message` - The message to use for the returned exception
    `failure` - The causal exception
  Returns:
    The appropriate exception to throw

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.